Subject: Re: bug#528: python3-reportbug: fails to install due to syntax error

From: Mark Hindley <[email-masked]>
Date: Sat, 5 Dec 2020 13:31:15 +0000

On Sat, Dec 05, 2020 at 11:48:42AM +0100, Gerard H. Pille wrote:
> ghp-amdphIIx4a:/root
> # dpkg -l | grep python2
> ii  libpython2.7-minimal:amd64             2.7.18-1      amd64
> Minimal subset of the Python language (version 2.7)
> ii  libpython2.7-stdlib:amd64              2.7.18-1      amd64
> Interactive high-level object-oriented language (standard library, version
> 2.7)
> ii  python2.7                              2.7.18-1      amd64
> Interactive high-level object-oriented language (version 2.7)
> ii  python2.7-minimal                      2.7.18-1      amd64
> Minimal subset of the Python language (version 2.7)
> 
> 
> But I have python3 installed too.  This is a backup system I rarely use, try
> to keep it as standard Devuan as possible.  On the systems I work on
> regularly, I make sure python3 is the default.

Does /usr/bin/python exist? Which package does it belong to? Is it a symlink,
and if so, what to?

> I didn't know about the "f-string".

No, neither did I until I looked at this!

Thanks

Mark